Page MenuHomePhabricator

[AMDGPU][llvm-mc] Add support of TTMP quads. Rework M0 exclusion for SMRD.
ClosedPublic

Authored by artem.tamazov on Apr 20 2016, 2:38 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

artem.tamazov retitled this revision from to [AMDGPU][llvm-mc] Add support of TTMP quads. Rework M0 exclusion for SMRD..
artem.tamazov updated this object.
artem.tamazov set the repository for this revision to rL LLVM.
artem.tamazov added a project: Restricted Project.
artem.tamazov added a subscriber: Restricted Project.
nhaustov edited edge metadata.Apr 21 2016, 6:32 AM

Can you also add 1-2 tests to test/MC/AMDGPU/reg-syntax-extra.s?

artem.tamazov edited edge metadata.

Tests added to test/MC/AMDGPU/reg-syntax-extra.s

Can you also add 1-2 tests to test/MC/AMDGPU/reg-syntax-extra.s?

Done.

I am going to commit this after 24hrs, if no objections/comments arrive.

nhaustov accepted this revision.Apr 26 2016, 7:07 AM
nhaustov edited edge metadata.

LGTM

This revision is now accepted and ready to land.Apr 26 2016, 7:07 AM
This revision was automatically updated to reflect the committed changes.
artem.tamazov edited edge metadata.

Fix build warnings in disassembler.